Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/34672/?format=api
{ "ob_id": 34672, "uuid": "a8ebefa818e44f5a8bd259f561ad1555", "title": "Legacy data from Nimbus-7 Stratospheric and Mesospheric Sounder (SAMS)", "abstract": "Legacy data from Nimbus-7 Stratospheric and Mesospheric Sounder (SAMS).\r\n\r\nThese data are as found. They are a legacy from the Geophysical Data Facility (GDF). There is some fortran software which may help decode it.", "keywords": "SAMS", "publicationState": "old", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "", "status": "historicalArchive", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/34671/?format=api", "dataPath": "/badc/sams", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 66846932, "numberOfFiles": 101, "fileFormat": "Unknown" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/9609/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2942/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data are a legacy from the Geophysical Data Facility (GDF) the predecessor of the Centre for Environmental Data Analysis (CEDA).", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168205/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168206/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168207/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168208/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168209/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168211/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168212/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/168217/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2521/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }